/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.budget;

import java.awt.BorderLayout;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JDialog;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableCellRenderer;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.mangue.client.gui.situation.AffectationOccupationView;
import org.cocktail.mangue.common.modele.gpeec.EOEmploi;
import org.cocktail.mangue.common.modele.nomenclatures.paye.EOKxElement;
import org.cocktail.mangue.common.modele.nomenclatures.paye.EOMois;
import org.cocktail.mangue.common.utilities.CocktailConstantes;
import org.cocktail.mangue.common.utilities.CocktailIcones;
import org.cocktail.mangue.modele.mangue.budget.EOCodeAnalytique;
import org.cocktail.mangue.modele.mangue.budget.EOConvention;
import org.cocktail.mangue.modele.mangue.budget.EOLolfNomenclatureDepense;
import org.cocktail.mangue.modele.mangue.budget.EOOrgan;
import org.cocktail.mangue.modele.mangue.individu.budget.EOPersBudget;
import org.cocktail.mangue.modele.mangue.individu.budget.EOPersBudgetAction;
import org.cocktail.mangue.modele.mangue.individu.budget.EOPersBudgetAnalytique;
import org.cocktail.mangue.modele.mangue.individu.budget.EOPersBudgetConvention;

import com.webobjects.eointerface.EODisplayGroup;


/**
 *
 * @author  cpinsard
 */
public class BudgetView extends JDialog {

protected EODisplayGroup eodBudget, eodActions, eodCanal, eodConventions, eodElements;
	protected ZEOTable myEOTableBudget, myEOTableActions, myEOTableCanal, myEOTableConventions, myEOTableElements;
	protected ZEOTableModel myTableModelBudget, myTableModelActions, myTableModelCanal, myTableModelConventions, myTableModelElements;
	protected TableSorter myTableSorterBudget,  myTableSorterActions, myTableSorterCanal, myTableSorterConventions, myTableSorterElements;

	private static final long serialVersionUID = -6195866169790317637L;
	private ZEOTableCellRenderer myRenderer;
	private boolean 			useSifac;

	/** Creates new form TemplateJDialog */
    public BudgetView(java.awt.Frame parent, boolean modal, EODisplayGroup eodBudget, 
    		EODisplayGroup eodActions, EODisplayGroup eodCanal,
    		EODisplayGroup eodConvention, ZEOTableCellRenderer myRenderer, boolean useSifac) {
    	
        super(parent, modal);
    	
        setUseSifac(useSifac);
    	this.eodBudget = eodBudget;
    	this.eodActions = eodActions;
    	this.eodCanal = eodCanal;
    	this.eodConventions = eodConvention;
        this.myRenderer = myRenderer;

        initComponents();
        initGui();
    }
    public boolean isUseSifac() {
		return useSifac;
	}

	public void setUseSifac(boolean useSifac) {
		this.useSifac = useSifac;
	}

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        viewBudget = new javax.swing.JPanel();
        btnAjouter = new javax.swing.JButton();
        viewTableBudget = new javax.swing.JPanel();
        btnSupprimer = new javax.swing.JButton();
        btnModifier = new javax.swing.JButton();
        btnRenouveler = new javax.swing.JButton();
        panelConventions = new javax.swing.JPanel();
        viewTableConvention = new javax.swing.JPanel();
        lblMsgConvention = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        panelCodesAnalytiques = new javax.swing.JPanel();
        viewTableCanal = new javax.swing.JPanel();
        lblMsgAnalytique = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        panelActions = new javax.swing.JPanel();
        viewTableAction = new javax.swing.JPanel();
        lblMsgLolf = new javax.swing.JLabel();
        jLabel1 = new javax.swing.JLabel();
        tfLbudDetail = new javax.swing.JTextField();
        checkElementSpecifique = new javax.swing.JCheckBox();
        checkLignePrincipale = new javax.swing.JCheckBox();
        checkEmploi = new javax.swing.JCheckBox();
        popupEtat = new javax.swing.JComboBox();
        btnClose = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("BUDGET");
        setFocusable(false);

        btnAjouter.setToolTipText("Ajouter une nouvelle affectation");

        viewTableBudget.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableBudget.setLayout(new java.awt.BorderLayout());

        btnSupprimer.setToolTipText("Suppression de l'affectation courante");

        btnModifier.setToolTipText("Modifier l'affectation courante");

        btnRenouveler.setToolTipText("Renouveler l'affectation courante");

        viewTableConvention.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableConvention.setLayout(new java.awt.BorderLayout());

        lblMsgConvention.setForeground(new java.awt.Color(255, 51, 51));
        lblMsgConvention.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        lblMsgConvention.setText("jLabel1");

        jLabel3.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel3.setForeground(new java.awt.Color(255, 153, 153));
        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Conventions");

        org.jdesktop.layout.GroupLayout panelConventionsLayout = new org.jdesktop.layout.GroupLayout(panelConventions);
        panelConventions.setLayout(panelConventionsLayout);
        panelConventionsLayout.setHorizontalGroup(
            panelConventionsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(panelConventionsLayout.createSequentialGroup()
                .addContainerGap()
                .add(panelConventionsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(panelConventionsLayout.createSequentialGroup()
                        .add(jLabel3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 123, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(viewTableConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 467, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, lblMsgConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 559, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );
        panelConventionsLayout.setVerticalGroup(
            panelConventionsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, panelConventionsLayout.createSequentialGroup()
                .addContainerGap()
                .add(panelConventionsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabel3)
                    .add(viewTableConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 59, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(lblMsgConvention)
                .add(23, 23, 23))
        );

        viewTableCanal.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableCanal.setLayout(new java.awt.BorderLayout());

        lblMsgAnalytique.setForeground(new java.awt.Color(255, 51, 51));
        lblMsgAnalytique.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        lblMsgAnalytique.setText("jLabel1");

        jLabel2.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel2.setForeground(new java.awt.Color(255, 153, 153));
        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("Codes Analytiques");

        org.jdesktop.layout.GroupLayout panelCodesAnalytiquesLayout = new org.jdesktop.layout.GroupLayout(panelCodesAnalytiques);
        panelCodesAnalytiques.setLayout(panelCodesAnalytiquesLayout);
        panelCodesAnalytiquesLayout.setHorizontalGroup(
            panelCodesAnalytiquesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(panelCodesAnalytiquesLayout.createSequentialGroup()
                .addContainerGap()
                .add(panelCodesAnalytiquesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, lblMsgAnalytique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 559, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, panelCodesAnalytiquesLayout.createSequentialGroup()
                        .add(jLabel2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 133, Short.MAX_VALUE)
                        .add(3, 3, 3)
                        .add(viewTableCanal, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 464, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        panelCodesAnalytiquesLayout.setVerticalGroup(
            panelCodesAnalytiquesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, panelCodesAnalytiquesLayout.createSequentialGroup()
                .addContainerGap()
                .add(panelCodesAnalytiquesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewTableCanal, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 59, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel2))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .add(lblMsgAnalytique)
                .addContainerGap())
        );

        viewTableAction.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableAction.setLayout(new java.awt.BorderLayout());

        lblMsgLolf.setForeground(new java.awt.Color(255, 51, 51));
        lblMsgLolf.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        lblMsgLolf.setText("jLabel1");

        jLabel1.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel1.setForeground(new java.awt.Color(255, 153, 153));
        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel1.setText("Actions LOLF");
        jLabel1.setAlignmentY(0.0F);

        org.jdesktop.layout.GroupLayout panelActionsLayout = new org.jdesktop.layout.GroupLayout(panelActions);
        panelActions.setLayout(panelActionsLayout);
        panelActionsLayout.setHorizontalGroup(
            panelActionsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(panelActionsLayout.createSequentialGroup()
                .addContainerGap()
                .add(panelActionsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, lblMsgLolf, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 556, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, panelActionsLayout.createSequentialGroup()
                        .add(jLabel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 133, Short.MAX_VALUE)
                        .add(4, 4, 4)
                        .add(viewTableAction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 463, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        panelActionsLayout.setVerticalGroup(
            panelActionsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(panelActionsLayout.createSequentialGroup()
                .addContainerGap()
                .add(panelActionsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewTableAction, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 98, Short.MAX_VALUE)
                    .add(jLabel1))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(lblMsgLolf)
                .addContainerGap())
        );

        tfLbudDetail.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        checkElementSpecifique.setBackground(new java.awt.Color(204, 204, 255));
        checkElementSpecifique.setText("Eléments spécifiques");
        checkElementSpecifique.setBorderPainted(true);
        checkElementSpecifique.setFocusable(false);

        checkLignePrincipale.setBackground(new java.awt.Color(255, 204, 204));
        checkLignePrincipale.setText("Lignes principales");
        checkLignePrincipale.setBorderPainted(true);
        checkLignePrincipale.setFocusable(false);

        checkEmploi.setBackground(new java.awt.Color(204, 255, 204));
        checkEmploi.setText("Emplois");
        checkEmploi.setBorderPainted(true);
        checkEmploi.setFocusable(false);

        popupEtat.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        org.jdesktop.layout.GroupLayout viewBudgetLayout = new org.jdesktop.layout.GroupLayout(viewBudget);
        viewBudget.setLayout(viewBudgetLayout);
        viewBudgetLayout.setHorizontalGroup(
            viewBudgetLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewBudgetLayout.createSequentialGroup()
                .addContainerGap()
                .add(viewBudgetLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewBudgetLayout.createSequentialGroup()
                        .add(checkLignePrincipale, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 112, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(checkElementSpecifique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 137, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(checkEmploi, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 112, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 150, Short.MAX_VALUE)
                        .add(popupEtat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 97, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(panelConventions, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(panelCodesAnalytiques, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(panelActions, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(tfLbudDetail, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 620, Short.MAX_VALUE)
                    .add(viewTableBudget, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 620, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewBudgetLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnRenouveler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        viewBudgetLayout.setVerticalGroup(
            viewBudgetLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewBudgetLayout.createSequentialGroup()
                .addContainerGap()
                .add(viewBudgetLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(checkElementSpecifique)
                    .add(checkLignePrincipale)
                    .add(checkEmploi)
                    .add(popupEtat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(viewBudgetLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewBudgetLayout.createSequentialGroup()
                        .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnRenouveler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewBudgetLayout.createSequentialGroup()
                        .add(viewTableBudget, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 145, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfLbudDetail, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(3, 3, 3)
                        .add(panelActions, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(panelCodesAnalytiques, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(panelConventions, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 104, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        btnClose.setText("Fermer");
        btnClose.setToolTipText("Fermer la fenêtre");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(viewBudget, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnClose, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 132, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(viewBudget, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btnClose)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-705)/2, (screenSize.height-674)/2, 705, 674);
    }// </editor-fold>//GEN-END:initComponents

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                BudgetView dialog = new BudgetView(new javax.swing.JFrame(), true, null, null, null, null, null, false);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    @Override
					public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAjouter;
    private javax.swing.JButton btnClose;
    private javax.swing.JButton btnModifier;
    private javax.swing.JButton btnRenouveler;
    private javax.swing.JButton btnSupprimer;
    private javax.swing.JCheckBox checkElementSpecifique;
    private javax.swing.JCheckBox checkEmploi;
    private javax.swing.JCheckBox checkLignePrincipale;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel lblMsgAnalytique;
    private javax.swing.JLabel lblMsgConvention;
    private javax.swing.JLabel lblMsgLolf;
    private javax.swing.JPanel panelActions;
    private javax.swing.JPanel panelCodesAnalytiques;
    private javax.swing.JPanel panelConventions;
    private javax.swing.JComboBox popupEtat;
    private javax.swing.JTextField tfLbudDetail;
    private javax.swing.JPanel viewBudget;
    protected javax.swing.JPanel viewTableAction;
    protected javax.swing.JPanel viewTableBudget;
    protected javax.swing.JPanel viewTableCanal;
    protected javax.swing.JPanel viewTableConvention;
    // End of variables declaration//GEN-END:variables

   
    private void initGui() {

    	setTitle("INFORMATIONS BUDGETAIRES");
    	
    	popupEtat.removeAllItems();
    	popupEtat.addItem("*");
    	popupEtat.addItem("En cours");
    	
    	btnAjouter.setIcon(CocktailIcones.ICON_ADD);
    	btnModifier.setIcon(CocktailIcones.ICON_UPDATE);
    	btnSupprimer.setIcon(CocktailIcones.ICON_DELETE);
    	btnRenouveler.setIcon(CocktailIcones.ICON_RENOUVELER);
    	btnClose.setIcon(CocktailIcones.ICON_CLOSE);
    	
		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

    	ZEOTableModelColumn col = new ZEOTableModelColumn(eodBudget, EOPersBudget.TO_MOIS_DEBUT_KEY+"."+EOMois.MOIS_COMPLET_KEY, "Début", 75);
		col.setAlignment(SwingConstants.LEFT);
		col.setTableCellRenderer(myRenderer);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodBudget,  EOPersBudget.TO_MOIS_FIN_KEY+"."+EOMois.MOIS_COMPLET_KEY, "Fin", 75);
		col.setAlignment(SwingConstants.LEFT);
		col.setTableCellRenderer(myRenderer);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodBudget, EOPersBudget.TO_ORGAN_KEY+"."+ EOOrgan.ORG_UB_KEY, (isUseSifac())?"C.F.":"UB", 50);
    	col.setAlignment(SwingConstants.LEFT);
		col.setTableCellRenderer(myRenderer);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodBudget, EOPersBudget.TO_ORGAN_KEY+"."+ EOOrgan.ORG_CR_KEY, (isUseSifac())?"C.C.":"CR", 50);
    	col.setAlignment(SwingConstants.LEFT);
		col.setTableCellRenderer(myRenderer);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodBudget, EOPersBudget.TO_ORGAN_KEY+"."+ EOOrgan.ORG_SOUSCR_KEY, (isUseSifac())?"EOTP":"SOUS CR", 75);
    	col.setAlignment(SwingConstants.LEFT);
		col.setTableCellRenderer(myRenderer);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodBudget, EOPersBudget.TO_ELEMENT_PAYE_KEY+"."+ EOKxElement.CODE_KEY, "Elément", 50);
    	col.setAlignment(SwingConstants.CENTER);
		col.setTableCellRenderer(myRenderer);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodBudget, EOPersBudget.TO_EMPLOI_KEY+"."+ EOEmploi.NO_EMPLOI_AFFICHAGE_KEY, "Emploi", 50);
    	col.setAlignment(SwingConstants.CENTER);
		col.setTableCellRenderer(myRenderer);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodBudget, EOPersBudget.PBUD_POURCENTAGE_KEY, "%", 50);
    	col.setAlignment(SwingConstants.RIGHT);
		col.setTableCellRenderer(myRenderer);
    	myCols.add(col);

    	myTableModelBudget = new ZEOTableModel(eodBudget, myCols);
		myTableSorterBudget = new TableSorter(myTableModelBudget);

		myEOTableBudget = new ZEOTable(myTableSorterBudget);
		myTableSorterBudget.setTableHeader(myEOTableBudget.getTableHeader());

		myEOTableBudget.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableBudget.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableBudget.setLayout(new BorderLayout());
		viewTableBudget.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableBudget.removeAll();
		viewTableBudget.add(new JScrollPane(myEOTableBudget), BorderLayout.CENTER);

		
		myCols = new Vector<ZEOTableModelColumn>();

    	col = new ZEOTableModelColumn(eodActions, EOPersBudgetAction.LOLF_NOMENCLATURE_DEPENSE_KEY+"."+EOLolfNomenclatureDepense.LOLF_CODE_KEY, "Code", 50);
		col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodActions, EOPersBudgetAction.LOLF_NOMENCLATURE_DEPENSE_KEY+"."+EOLolfNomenclatureDepense.LOLF_LIBELLE_KEY, "Libellé", 300);
		col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodActions, EOPersBudgetAction.POURCENTAGE_KEY, "%", 50);
    	col.setAlignment(SwingConstants.RIGHT);
    	myCols.add(col);

    	myTableModelActions = new ZEOTableModel(eodActions, myCols);
		myTableSorterActions = new TableSorter(myTableModelActions);

		myEOTableActions = new ZEOTable(myTableSorterActions);
		myTableSorterActions.setTableHeader(myEOTableActions.getTableHeader());		

		myEOTableActions.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableActions.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableAction.setLayout(new BorderLayout());
		viewTableAction.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableAction.removeAll();
		viewTableAction.add(new JScrollPane(myEOTableActions), BorderLayout.CENTER);

		
		myCols = new Vector<ZEOTableModelColumn>();

    	col = new ZEOTableModelColumn(eodCanal, EOPersBudgetAnalytique.CODE_ANALYTIQUE_KEY+"."+EOCodeAnalytique.CAN_CODE_KEY, "Code", 75);
		col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodCanal, EOPersBudgetAnalytique.CODE_ANALYTIQUE_KEY+"."+EOCodeAnalytique.CAN_LIBELLE_KEY, "Libellé", 275);
		col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodCanal, EOPersBudgetAnalytique.POURCENTAGE_KEY, "%", 50);
    	col.setAlignment(SwingConstants.RIGHT);
    	myCols.add(col);

    	myTableModelCanal = new ZEOTableModel(eodCanal, myCols);
		myTableSorterCanal = new TableSorter(myTableModelCanal);

		myEOTableCanal = new ZEOTable(myTableSorterCanal);
		myTableSorterCanal.setTableHeader(myEOTableCanal.getTableHeader());		

		myEOTableCanal.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableCanal.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableCanal.setLayout(new BorderLayout());
		viewTableCanal.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableCanal.removeAll();
		viewTableCanal.add(new JScrollPane(myEOTableCanal), BorderLayout.CENTER);
    	
		myCols = new Vector<ZEOTableModelColumn>();

    	col = new ZEOTableModelColumn(eodConventions, EOPersBudgetConvention.CONVENTION_KEY+"."+EOConvention.CON_INDEX_KEY, "Index", 50);
		col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodConventions, EOPersBudgetConvention.CONVENTION_KEY+"."+EOConvention.EXE_ORDRE_KEY, "Année", 75);
		col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodConventions, EOPersBudgetConvention.CONVENTION_KEY+"."+EOConvention.CON_OBJET_KEY, "Objet", 200);
		col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodConventions, EOPersBudgetConvention.POURCENTAGE_KEY, "%", 50);
    	col.setAlignment(SwingConstants.RIGHT);
    	myCols.add(col);

    	myTableModelConventions = new ZEOTableModel(eodConventions, myCols);
		myTableSorterConventions = new TableSorter(myTableModelConventions);

		myEOTableConventions = new ZEOTable(myTableSorterConventions);
		myTableSorterConventions.setTableHeader(myEOTableConventions.getTableHeader());		

		myEOTableConventions.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableConventions.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableConvention.setLayout(new BorderLayout());
		viewTableConvention.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableConvention.removeAll();
		viewTableConvention.add(new JScrollPane(myEOTableConventions), BorderLayout.CENTER);

    }

	public ZEOTable getMyEOTableBudget() {
		return myEOTableBudget;
	}

	public void setMyEOTableBudget(ZEOTable myEOTableBudget) {
		this.myEOTableBudget = myEOTableBudget;
	}

	public ZEOTable getMyEOTableActions() {
		return myEOTableActions;
	}

	public void setMyEOTableActions(ZEOTable myEOTableActions) {
		this.myEOTableActions = myEOTableActions;
	}

	public ZEOTable getMyEOTableCanal() {
		return myEOTableCanal;
	}

	public void setMyEOTableCanal(ZEOTable myEOTableCanal) {
		this.myEOTableCanal = myEOTableCanal;
	}

	public ZEOTable getMyEOTableConventions() {
		return myEOTableConventions;
	}

	public void setMyEOTableConventions(ZEOTable myEOTableConventions) {
		this.myEOTableConventions = myEOTableConventions;
	}

	public javax.swing.JButton getBtnAjouter() {
		return btnAjouter;
	}

	public void setBtnAjouter(javax.swing.JButton btnAjouter) {
		this.btnAjouter = btnAjouter;
	}

	public javax.swing.JButton getBtnClose() {
		return btnClose;
	}

	public void setBtnClose(javax.swing.JButton btnClose) {
		this.btnClose = btnClose;
	}

	public javax.swing.JButton getBtnModifier() {
		return btnModifier;
	}

	public void setBtnModifier(javax.swing.JButton btnModifier) {
		this.btnModifier = btnModifier;
	}

	public javax.swing.JButton getBtnRenouveler() {
		return btnRenouveler;
	}

	public void setBtnRenouveler(javax.swing.JButton btnRenouveler) {
		this.btnRenouveler = btnRenouveler;
	}

	public javax.swing.JButton getBtnSupprimer() {
		return btnSupprimer;
	}

	public void setBtnSupprimer(javax.swing.JButton btnSupprimer) {
		this.btnSupprimer = btnSupprimer;
	}

	public javax.swing.JPanel getViewBudget() {
		return viewBudget;
	}

	public void setViewBudget(javax.swing.JPanel viewBudget) {
		this.viewBudget = viewBudget;
	}

	public javax.swing.JPanel getPanelActions() {
		return panelActions;
	}

	public void setPanelActions(javax.swing.JPanel panelActions) {
		this.panelActions = panelActions;
	}

	public javax.swing.JPanel getPanelCodesAnalytiques() {
		return panelCodesAnalytiques;
	}

	public void setPanelCodesAnalytiques(javax.swing.JPanel panelCodesAnalytiques) {
		this.panelCodesAnalytiques = panelCodesAnalytiques;
	}

	public javax.swing.JPanel getPanelConventions() {
		return panelConventions;
	}

	public void setPanelConventions(javax.swing.JPanel panelConventions) {
		this.panelConventions = panelConventions;
	}

	public javax.swing.JLabel getLblMsgAnalytique() {
		return lblMsgAnalytique;
	}

	public void setLblMsgAnalytique(javax.swing.JLabel lblMsgAnalytique) {
		this.lblMsgAnalytique = lblMsgAnalytique;
	}

	public javax.swing.JLabel getLblMsgConvention() {
		return lblMsgConvention;
	}

	public void setLblMsgConvention(javax.swing.JLabel lblMsgConvention) {
		this.lblMsgConvention = lblMsgConvention;
	}

	public javax.swing.JLabel getLblMsgLolf() {
		return lblMsgLolf;
	}

	public void setLblMsgLolf(javax.swing.JLabel lblMsgLolf) {
		this.lblMsgLolf = lblMsgLolf;
	}

	public javax.swing.JTextField getTfLbudDetail() {
		return tfLbudDetail;
	}

	public void setTfLbudDetail(javax.swing.JTextField tfLbudDetail) {
		this.tfLbudDetail = tfLbudDetail;
	}
	public javax.swing.JCheckBox getCheckElementSpecifique() {
		return checkElementSpecifique;
	}
	public void setCheckElementSpecifique(
			javax.swing.JCheckBox checkElementSpecifique) {
		this.checkElementSpecifique = checkElementSpecifique;
	}
	public javax.swing.JCheckBox getCheckEmploi() {
		return checkEmploi;
	}
	public void setCheckEmploi(javax.swing.JCheckBox checkEmploi) {
		this.checkEmploi = checkEmploi;
	}
	public javax.swing.JCheckBox getCheckLignePrincipale() {
		return checkLignePrincipale;
	}
	public void setCheckLignePrincipale(javax.swing.JCheckBox checkLignePrincipale) {
		this.checkLignePrincipale = checkLignePrincipale;
	}
	public javax.swing.JComboBox getPopupEtat() {
		return popupEtat;
	}
	public void setPopupEtat(javax.swing.JComboBox popupEtat) {
		this.popupEtat = popupEtat;
	}


    
}
